summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--build_custom_waf.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/build_custom_waf.sh b/build_custom_waf.sh
index c99a256..69c6b97 100644
--- a/build_custom_waf.sh
+++ b/build_custom_waf.sh
@@ -2,4 +2,11 @@
# Run this script from the waf source directory to build a custom waf script
# which includes autowaf (and the other listed tools)
-./waf-light -v --make-waf --tools=doxygen,swig,/path/to/autowaf/autowaf.py --prelude=''
+if [ $# != 1 ]; then
+ echo "Error: Path to autowaf.py must be passed as only argument"
+ exit 1
+fi
+
+autowaf_py=$1
+
+./waf-light -v --make-waf --tools=doxygen,swig,$autowaf_py --prelude=''